cascading.property

## Class UnitOfWorkDef<T>

- java.lang.Object
- - cascading.property.UnitOfWorkDef<T>

- Direct Known Subclasses:
    CascadeDef, FlowDef

      public class UnitOfWorkDef<T>
      extends java.lang.Object

  Class UnitOfWorkDef is the base class for framework specific fluent definition interfaces.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`
    `protected java.util.Set<java.lang.String>` | `tags`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UnitOfWorkDef()`
    `protected` | `UnitOfWorkDef(UnitOfWorkDef<T> unitOfWorkDef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `addTag(java.lang.String tag)` Method addTag will associate a "tag" with this UnitOfWork.
    `T` | `addTags(java.lang.String... tags)` Method addTags will associate the given "tags" with this UnitOfWork.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getTags()`
    `T` | `setName(java.lang.String name)` Method setName sets the UnitOfWork name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### tags

          protected java.util.Set<java.lang.String> tags

  - ### Constructor Detail

    - #### UnitOfWorkDef

          public UnitOfWorkDef()

    - #### UnitOfWorkDef

          protected UnitOfWorkDef(UnitOfWorkDef<T> unitOfWorkDef)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public T setName(java.lang.String name)

      Method setName sets the UnitOfWork name.
      Parameters:
        `name` - type String
      Returns:
        this

    - #### getTags

          public java.lang.String getTags()

    - #### addTag

          public T addTag(java.lang.String tag)

      Method addTag will associate a "tag" with this UnitOfWork. A UnitOfWork can have an unlimited number of tags.

      Tags allow for search and organization by management tools.

      Tag values are opaque, but adopting a simple convention of 'category:value' allows for complex use cases.

      Note that tags should not contain whitespace characters, even though this is not an error, a warning will be issues.
      Parameters:
        `tag` - type String
      Returns:
        this

    - #### addTags

          public T addTags(java.lang.String... tags)

      Method addTags will associate the given "tags" with this UnitOfWork. A UnitOfWork can have an unlimited number of tags.

      Tags allow for search and organization by management tools.

      Tag values are opaque, but adopting a simple convention of 'category:value' allows for complex use cases.

      Note that tags should not contain whitespace characters, even though this is not an error, a warning will be issues.
      Parameters:
        `tags` - type String
      Returns:
        this

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.